<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.100
Description: Auteur van het document
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.100">
   <title>CDA author</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]"
         id="tmp-1cd8c397-ac3b-4085-993f-64aaf6f4e434">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDAauthor): element hl7:author is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author"
         id="tmp-df59086f-dfe0-40d2-9e78-a36a2eff1079">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@typeCode)='AUT'">(CDAauthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100'])&gt;=1 ">(CDAauthor): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100'])&lt;=1">(CDAauthor): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100']
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.100']"
         id="tmp-1490c804-ebc3-4190-af98-58f65f7e587e">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.100'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.100' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:time"
         id="tmp-e4f7cc2a-878c-4ad9-af74-fcd2e62dde3d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='TS' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor"
         id="tmp-69a7e573-c49f-4eba-857e-081170fe63b2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:code)&lt;=1">(CDAauthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (CDAassignedEntityIdentification)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-42680aa7-f374-492b-9e0f-5c385f7d37e4">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(CDAassignedEntityIdentification): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAassignedEntityIdentification): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAassignedEntityIdentification)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-7a3a791b-42a3-4f77-94d1-253c9fda533d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-13732c71-c615-4171-98b3-1b4d785f7c53">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_typerol-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_typerol-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAauthor): de waarde van @code MOET worden gekozen uit waardenlijst vs_typerol Medische rollen DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAauthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_typerol Medische rollen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-205dce42-0a3c-4447-8865-36276fb43755">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@classCode)='PSN'">(CDAauthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-6731c056-3ecf-4a6a-9a0c-d522284732bb">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='PN' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-5b0d0759-64f7-4345-bf96-27a095575000">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(CDAauthor): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDArepresentedOrganization)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDArepresentedOrganization)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-26ba266e-81b9-45cb-a920-3e071975c144">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDArepresentedOrganization): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDArepresentedOrganization): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDArepresentedOrganization)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-ef3ab9f7-a317-48fa-ad14-a271582e8be6">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-0164f73a-fbf3-4d4a-8236-7023ceb2cb6b">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='ON' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-70bc7b9b-e1fc-45fa-831c-de621f9ef821">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='AD' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.100
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

<rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.100']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-44e03795-c5ba-4c6f-8fd6-4b926aa7b4cc">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.100.html"
              test="@nullFlavor or ($xsiTypeVal='TEL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>