<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.209
Description: Conclusion Pathology Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.209">
   <title>Conclusion Pathology Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]
Item: (ConclusionPathologySection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section"
         id="tmp-faf60ad9-db78-40f6-b121-4f4f3a8f0cee">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']|hl7:code|hl7:title|hl7:text|hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]))=0">(ConclusionPathologySection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&gt;=1 ">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&lt;=1">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ConclusionPathologySection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:code)&lt;=1">(ConclusionPathologySection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:title)&gt;=1 ">(ConclusionPathologySection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:title)&lt;=1">(ConclusionPathologySection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ConclusionPathologySection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:text)&lt;=1">(ConclusionPathologySection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']"
         id="tmp-46b3ccbe-6948-43c1-8c3c-e68a9abd6c5a">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.209'">(ConclusionPathologySection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.209' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ConclusionPathologySection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:code
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:code"
         id="tmp-242d19d1-5aa3-4fe4-a2ae-d9e0872fab26">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or (@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologySection): de waarde van @code/@codeSystem MOET ''22034-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:title
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:title"
         id="tmp-91b3db7d-25bc-4c64-80f3-858c6c25d6d5">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiTypeVal='ST' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="text()='Conclusie'">(ConclusionPathologySection): de element content van hl7:title MOET ''Conclusie'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:text
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:text"
         id="tmp-0e30388e-f415-46ab-afa1-1da734b0b64b">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]
Item: (ConclusionPathologySection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]"
         id="tmp-763d6602-6c33-47a4-bff4-2dee62c50816">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="string(@typeCode)='DRIV'">(ConclusionPathologySection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>