<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.301
Description: Template: Uitnodigingsronde ID
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.301">
   <title>Invitation ID</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter"
         id="tmp-a28bac00-a478-4a78-aaa5-3099173cbc82">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="string(@classCode)='ENC'">(Invitationid): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="string(@moodCode)='RQO'">(Invitationid): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&gt;=1 ">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&lt;=1">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:id)&lt;=1">(Invitationid): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Invitationid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:code)&lt;=1">(Invitationid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:text)&lt;=1">(Invitationid): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']"
         id="tmp-f5d80875-d3d2-4914-a39d-faf06cf6a447">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.301'">(Invitationid): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.301' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Invitationid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:id
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code"
         id="tmp-5cfa7e56-3c9e-4abe-a478-95099d2a0551">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or (@code='275978004' and @codeSystem='2.16.840.1.113883.6.96')">(Invitationid): de waarde van @code/@codeSystem MOET ''275978004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text"
         id="tmp-033a1610-0aa8-46d7-8b52-88b1ad2d175d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Invitationid): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:reference)&lt;=1">(Invitationid): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference"
         id="tmp-cb821e2d-f43c-4fd6-abfa-f52d4e7b7a99">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or ($xsiTypeVal='TEL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>