<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.421
Description: Template: Number of mitotic figures per square millimeter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.421">
   <title>Number of mitotic figures per square millimeter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.421
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]
Item: (Numberofmitoticfigurespersquaremillimeter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.421
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation
Item: (Numberofmitoticfigurespersquaremillimeter)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation"
         id="tmp-c243def6-5597-473c-9e25-2fa951beaa15">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="string(@classCode)='OBS'">(Numberofmitoticfigurespersquaremillimeter): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="string(@moodCode)='EVN'">(Numberofmitoticfigurespersquaremillimeter): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421'])&gt;=1 ">(Numberofmitoticfigurespersquaremillimeter): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421'])&lt;=1">(Numberofmitoticfigurespersquaremillimeter): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Numberofmitoticfigurespersquaremillimeter): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:code)&lt;=1">(Numberofmitoticfigurespersquaremillimeter): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:value)&gt;=1 ">(Numberofmitoticfigurespersquaremillimeter): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="count(hl7:value)&lt;=1">(Numberofmitoticfigurespersquaremillimeter): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.421
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421']
Item: (Numberofmitoticfigurespersquaremillimeter)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.421']"
         id="tmp-2c4ec97c-ff15-4f7b-8b5d-3a93626e7946">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Numberofmitoticfigurespersquaremillimeter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.421'">(Numberofmitoticfigurespersquaremillimeter): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.421' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Numberofmitoticfigurespersquaremillimeter): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.421
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:code
Item: (Numberofmitoticfigurespersquaremillimeter)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:code"
         id="tmp-481325ab-019e-484e-a3f7-857c3eb97654">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Numberofmitoticfigurespersquaremillimeter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="@nullFlavor or (@code='443158003' and @codeSystem='2.16.840.1.113883.6.96')">(Numberofmitoticfigurespersquaremillimeter): de waarde van @code/@codeSystem MOET ''443158003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.421
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:value
Item: (Numberofmitoticfigurespersquaremillimeter)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.421']]/hl7:observation/hl7:value"
         id="tmp-f80c2853-8217-4269-8f28-a3bca9d6c528">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Numberofmitoticfigurespersquaremillimeter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_category_mitotic_figures-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_category_mitotic_figures-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Numberofmitoticfigurespersquaremillimeter): de waarde van @code MOET worden gekozen uit waardenlijst vs_category_mitotic_figures DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20121220T163149/tmp-2.16.840.1.113883.2.4.3.36.10.421.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Numberofmitoticfigurespersquaremillimeter): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_category_mitotic_figures DYNAMIC.</assert>
   </rule>
</pattern>