<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL -  </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron --><!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nsp-bc-mdl -->

<!-- nspbcmdl -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.10.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



<!-- includes -->
<!-- CDAauthor -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.100.sch"/>
   <!-- ClinicalInformationSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.200.sch"/>
   <!-- SalutationSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.201.sch"/>
   <!-- ProcedureIndicationsSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.202.sch"/>
   <!-- ProcedureDescriptionSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.203.sch"/>
   <!-- ProcedureFindingsSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.204.sch"/>
   <!-- AssessmentSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.205.sch"/>
   <!-- Specialtreatmentsandproceduressection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.206.sch"/>
   <!-- PlanOfCareSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.207.sch"/>
   <!-- ConclusionColonoscopySection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.208.sch"/>
   <!-- ConclusionPathologySection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.209.sch"/>
   <!-- GrossObservationSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.210.sch"/>
   <!-- MicroscopicObservationSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.211.sch"/>
   <!-- DiagnosisSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.212.sch"/>
   <!-- Invitationid -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.301.sch"/>
   <!-- Complications -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.305.sch"/>
   <!-- Severityofcomplication -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.306.sch"/>
   <!-- Preparationcolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.307.sch"/>
   <!-- Dosageandtypeofpreparation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.308.sch"/>
   <!-- Preparationasrequired -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.309.sch"/>
   <!-- Bostonbowelpreparationscale -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.310.sch"/>
   <!-- Bostonbowelpreparationscalerightcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.311.sch"/>
   <!-- Bostonbowelpreparationscaletransversecolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.312.sch"/>
   <!-- Bostonbowelpreparationscaleleftcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.313.sch"/>
   <!-- SpecimenDiagnosisEntry -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.315.sch"/>
   <!-- Diagnoseregel -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.317.sch"/>
   <!-- Resultscolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.320.sch"/>
   <!-- Intubationofcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.321.sch"/>
   <!-- CO2insufflation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.322.sch"/>
   <!-- Retractiontimecolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.323.sch"/>
   <!-- Caecumphoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.324.sch"/>
   <!-- Appendixphoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.325.sch"/>
   <!-- Ileumterminalephoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.326.sch"/>
   <!-- Interventionsprovided -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.327.sch"/>
   <!-- Gloucestercomfortscore -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.328.sch"/>
   <!-- Intubationofcaecum -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.329.sch"/>
   <!-- Maxlocationreached -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.330.sch"/>
   <!-- Rectalretroflexion -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.331.sch"/>
   <!-- Orderplacernumber -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.332.sch"/>
   <!-- Redenafbrekingcoloscopie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.334.sch"/>
   <!-- Vervolgbeleidnavafbrekingcoloscopie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.335.sch"/>
   <!-- Familialriskfactor -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.337.sch"/>
   <!-- Patientcounseling -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.370.sch"/>
   <!-- Followuparranged -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.371.sch"/>
   <!-- Planoftreatment -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.372.sch"/>
   <!-- ConclusionColonoscopyEntry -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.380.sch"/>
   <!-- Dysplasia -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.401.sch"/>
   <!-- Diametermaterial -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.402.sch"/>
   <!-- Primaireafwijking -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.403.sch"/>
   <!-- Histopathologyinterpretation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.404.sch"/>
   <!-- Macroscopicspecimenobservable -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.405.sch"/>
   <!-- Histologicalgrade -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.406.sch"/>
   <!-- Tumorextentofinvasion -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.407.sch"/>
   <!-- Haggittlevel -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.408.sch"/>
   <!-- Kikuchilevel -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.409.sch"/>
   <!-- Statusofvascularinvasionbytumor -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.410.sch"/>
   <!-- Tumormarginstatus -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.411.sch"/>
   <!-- Distanceoftumorfrommargin -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.412.sch"/>
   <!-- Histologictype -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.413.sch"/>
   <!-- Rapidlyproliferatingcellmarker -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.420.sch"/>
   <!-- Numberofmitoticfigurespersquaremillimeter -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.421.sch"/>
   <!-- TNMcolonandrectumneuroendocrinetumorstaging -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.422.sch"/>
   <!-- Sedationmanagement -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.502.sch"/>
   <!-- Sedationmedicationadministration -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.503.sch"/>
   <!-- Levelofconsciousness -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.504.sch"/>
   <!-- Antidotummedicationadministration -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.506.sch"/>
   <!-- SpecimenMicroscopicObservation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.551.sch"/>
   <!-- ConclusionPathologyEntry -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.591.sch"/>
   <!-- Typetumordarmkanker -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.999308.sch"/>

</schema>